//
//  DetailView.m
//  TwitterDemo
//
//  Created by Martin Jacala on 12/8/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "DetailView.h"
#import "TweetMap.h"

@implementation DetailView
@synthesize userImage, tweetLabel, screenNameLabel, model;


// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	[self.tweetLabel setText:[model objectForKey:@"text"]];
	[self.tweetLabel sizeToFit];
	[self.screenNameLabel setText:[model objectForKey:@"screen_name"]];
	
	NSData *imageData = [NSData dataWithContentsOfURL:[NSURL URLWithString:[model objectForKey:@"profile_image_url"]]];
	
						
	
	UIImage *image = [UIImage imageWithData:imageData];
	[self.userImage setImage:image];
	
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (IBAction)showTweetOnMap {
	NSLog(@"Hello!");
	TweetMap *tweetMapController = [[TweetMap alloc] initWithNibName:@"TweetMap" bundle:[NSBundle mainBundle]];
	[tweetMapController setModel:self.model];
	[self.navigationController pushViewController:tweetMapController animated:YES];
	[tweetMapController release];
	
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
